Viewing Issue Advanced Details Jump to Notes ] megadriv.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05049 Sound Minor Always Oct 28, 2012, 18:06 Jul 23, 2014, 19:44
Tester hap View Status Public Platform
Assigned To Resolution Fixed OS
Status [?] Resolved   Driver megadriv.cpp
Version 0.147u1 Fixed in Version 0.154 Build
Summary MESS-specific 05049: megadriv [sor2]: Some of the sound effects are off.
Description Some of the sound effects are wrong compared to the console/cartridge. Several emulators do it correctly, like Kega and genplus-gx. genplus-gx source may be useful in this case, since it shares cores with MESS/MAME. I'm assuming it is the FM chip, but it can of course be something else.

The attached recordings contain two examples. One is the selection sound when choosing a character, other is the sound when you (Axel in this case) punches in the air. Kega sounds more like the real thing. I didn't bother recording it on my real Megadrive, sorry about that, I'm lazy sometimes. :) | did doublecheck it though, and you'll just have to trust me that Kega sounds more accurate.
Steps To Reproduce Play the game and keep your ears open.
also works with: mame mp_sor2
Additional Information
Flags
Regression Version
Affected Sets / Systems megadriv [sor2]
Attached Files
ogg file icon sor2_mess.ogg (209,932 bytes)  Oct 28, 2012, 18:07 by hap
ogg file icon sor2_kega.ogg (176,315 bytes)  Oct 28, 2012, 18:07 by hap


-  Notes
User avatar
No.09063
Haze
(Senior Tester)
Oct 31, 2012, 13:31
I've seen it mentioned before that this is something to do with the way MAME resamples the final output, rather than the chip emulations themselves, making it sound less harsh. I confess I have never studied the MAME sound code at all tho, so that could be complete nonsense :-)
User avatar
No.10856
M.A.S.H.
(Senior Tester)
Jul 23, 2014, 18:01
Is MT #5049 fixed? MAME r29759 and whatsnew-0154.txt says yes!
User avatar
No.10857
Tafoid
(Administrator)
Jul 23, 2014, 19:44
Appears so. Thanks for the good eye.